import request from '@/utils/request'

// 查询物料检索列表(首页)
export function listMaterial_index(query) {
  return request({
    url: '/index/list',
    method: 'get',
    params: query
  })
}
//
export function material_inventory(query) {
  return request({
    url: '/index/inventory?materialCode=' + query,
    method: 'get'
  })
}

// 查询物料检索列表
export function listMaterial(query) {
  return request({
    url: '/system/material/list',
    method: 'get',
    params: query
  })
}

// 查询物料检索详细
export function getMaterial(id) {
  return request({
    url: '/system/material/' + id,
    method: 'get'
  })
}

// 新增物料检索
export function addMaterial(data) {
  return request({
    url: '/system/material',
    method: 'post',
    data: data
  })
}

// 修改物料检索
export function updateMaterial(data) {
  return request({
    url: '/system/material',
    method: 'put',
    data: data
  })
}

// 删除物料检索
export function delMaterial(id) {
  return request({
    url: '/system/material/' + id,
    method: 'delete'
  })
}
